##########################################################
### FMC Interface: Common Signals
##########################################################
# Variable Resistors: Common Signals

set_property PACKAGE_PIN L21 [get_ports SCLK_Var_Res_0]
set_property PACKAGE_PIN L22 [get_ports DIN_Var_Res_0]

### FMC Interface: ADC & INTAN CHIPS
# Amplifier, Bandwidth Selection Digital Resistors

set_property PACKAGE_PIN R19 [get_ports {CS_Set_L_Res_0[3]}]
set_property PACKAGE_PIN M17 [get_ports {CS_Set_L_Res_0[2]}]
set_property PACKAGE_PIN G19 [get_ports {CS_Set_L_Res_0[1]}]
set_property PACKAGE_PIN T17 [get_ports {CS_Set_L_Res_0[0]}]

set_property PACKAGE_PIN T19 [get_ports {CS_Set_H2_Res_0[3]}]
set_property PACKAGE_PIN E15 [get_ports {CS_Set_H2_Res_0[2]}]
set_property PACKAGE_PIN F19 [get_ports {CS_Set_H2_Res_0[1]}]
set_property PACKAGE_PIN J16 [get_ports {CS_Set_H2_Res_0[0]}]

set_property PACKAGE_PIN K19 [get_ports {CS_Set_H1_Res_0[3]}]
set_property PACKAGE_PIN D15 [get_ports {CS_Set_H1_Res_0[2]}]
set_property PACKAGE_PIN D22 [get_ports {CS_Set_H1_Res_0[1]}]
set_property PACKAGE_PIN J17 [get_ports {CS_Set_H1_Res_0[0]}]

# INTAN Chip, Digital Control Signals
set_property PACKAGE_PIN E21 [get_ports {Elect_Test_0[3]}]
set_property PACKAGE_PIN M20 [get_ports {Elect_Test_0[2]}]
set_property PACKAGE_PIN B16 [get_ports {Elect_Test_0[1]}]
set_property PACKAGE_PIN E20 [get_ports {Elect_Test_0[0]}]

set_property PACKAGE_PIN D21 [get_ports {Conn_All_0[3]}]
set_property PACKAGE_PIN N22 [get_ports {Conn_All_0[2]}]
set_property PACKAGE_PIN B17 [get_ports {Conn_All_0[1]}]
set_property PACKAGE_PIN A18 [get_ports {Conn_All_0[0]}]

set_property PACKAGE_PIN N19 [get_ports {Settle_0[3]}]
set_property PACKAGE_PIN P22 [get_ports {Settle_0[2]}]
set_property PACKAGE_PIN B21 [get_ports {Settle_0[1]}]
set_property PACKAGE_PIN A19 [get_ports {Settle_0[0]}]

set_property PACKAGE_PIN N20 [get_ports {Sel0_Reset_0[3]}]
set_property PACKAGE_PIN J21 [get_ports {Sel0_Reset_0[2]}]
set_property PACKAGE_PIN B22 [get_ports {Sel0_Reset_0[1]}]
set_property PACKAGE_PIN A16 [get_ports {Sel0_Reset_0[0]}]

set_property PACKAGE_PIN J18 [get_ports {Sel1_Step_0[3]}]
set_property PACKAGE_PIN J22 [get_ports {Sel1_Step_0[2]}]
set_property PACKAGE_PIN P17 [get_ports {Sel1_Step_0[1]}]
set_property PACKAGE_PIN A17 [get_ports {Sel1_Step_0[0]}]

set_property PACKAGE_PIN K18 [get_ports {Sel2_Sync_0[3]}]
set_property PACKAGE_PIN P20 [get_ports {Sel2_Sync_0[2]}]
set_property PACKAGE_PIN P18 [get_ports {Sel2_Sync_0[1]}]
set_property PACKAGE_PIN C15 [get_ports {Sel2_Sync_0[0]}]

set_property PACKAGE_PIN R20 [get_ports {Sel3_0[3]}]
set_property PACKAGE_PIN P21 [get_ports {Sel3_0[2]}]
set_property PACKAGE_PIN M21 [get_ports {Sel3_0[1]}]
set_property PACKAGE_PIN B15 [get_ports {Sel3_0[0]}]

set_property PACKAGE_PIN R21 [get_ports {Sel4_0[3]}]
set_property PACKAGE_PIN J20 [get_ports {Sel4_0[2]}]
set_property PACKAGE_PIN M22 [get_ports {Sel4_0[1]}]
set_property PACKAGE_PIN A21 [get_ports {Sel4_0[0]}]

set_property PACKAGE_PIN L17 [get_ports {Mode_0[3]}]
set_property PACKAGE_PIN K21 [get_ports {Mode_0[2]}]
set_property PACKAGE_PIN T16 [get_ports {Mode_0[1]}]
set_property PACKAGE_PIN A22 [get_ports {Mode_0[0]}]

# ADC_AD7982 Interface
set_property PACKAGE_PIN K20 [get_ports {ADC_SDO_0[3]}]
set_property PACKAGE_PIN F18 [get_ports {ADC_SDO_0[2]}]
set_property PACKAGE_PIN C22 [get_ports {ADC_SDO_0[1]}]
set_property PACKAGE_PIN G15 [get_ports {ADC_SDO_0[0]}]

set_property PACKAGE_PIN D20 [get_ports {ADC_CNV_0[3]}]
set_property PACKAGE_PIN E18 [get_ports {ADC_CNV_0[2]}]
set_property PACKAGE_PIN C17 [get_ports {ADC_CNV_0[1]}]
set_property PACKAGE_PIN G16 [get_ports {ADC_CNV_0[0]}]

set_property PACKAGE_PIN C20 [get_ports {ADC_SCLK_0[3]}]
set_property PACKAGE_PIN M19 [get_ports {ADC_SCLK_0[2]}]
set_property PACKAGE_PIN C18 [get_ports {ADC_SCLK_0[1]}]
set_property PACKAGE_PIN E19 [get_ports {ADC_SCLK_0[0]}]

#HiCEE BOARD LEDs (A AND B)
set_property PACKAGE_PIN B20 [get_ports {LED_HiCCE_AB_0[0]}]
set_property PACKAGE_PIN B19 [get_ports {LED_HiCCE_AB_0[1]}]

#------------------------------------------------------------------------------
set_property IOSTANDARD LVCMOS33 [get_ports DIN_Var_Res_0]
set_property IOSTANDARD LVCMOS33 [get_ports SCLK_Var_Res_0]

set_property IOSTANDARD LVCMOS33 [get_ports {Sel0_Reset_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel0_Reset_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel0_Reset_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel0_Reset_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {ADC_CNV_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_CNV_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_CNV_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_CNV_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SCLK_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SCLK_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SCLK_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SCLK_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SDO_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SDO_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SDO_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {ADC_SDO_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Conn_All_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Conn_All_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Conn_All_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Conn_All_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H1_Res_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H1_Res_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H1_Res_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H1_Res_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H2_Res_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H2_Res_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H2_Res_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_H2_Res_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_L_Res_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_L_Res_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_L_Res_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {CS_Set_L_Res_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Elect_Test_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Elect_Test_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Elect_Test_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Elect_Test_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {LED_HiCCE_AB_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {LED_HiCCE_AB_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Mode_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Mode_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Mode_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Mode_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Sel1_Step_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel1_Step_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel1_Step_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel1_Step_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Sel2_Sync_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel2_Sync_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel2_Sync_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel2_Sync_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Sel3_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel3_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel3_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel3_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Sel4_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel4_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel4_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Sel4_0[0]}]

set_property IOSTANDARD LVCMOS33 [get_ports {Settle_0[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Settle_0[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Settle_0[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {Settle_0[0]}]



##------------------------------------------------------------------------------------------------





set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[13]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_empty[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel1_Step[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SCLK[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel0_Reset[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SCLK[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_L_Res[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_empty[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_empty[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[13]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SCLK[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[10]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_143]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SDO[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SCLK[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_valid[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_L_Res[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/LED_HiCCE_AB[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel1_Step[3]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_144]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SDO[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_CNV[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Settle[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SDO[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_CNV[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[12]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/Sys_Reset]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_CNV[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Read_intan[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_L_Res[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[13]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Ack_intan[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel1_Step[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel1_Step[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel0_Reset[3]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_141]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Ack_intan[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_valid[1]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/SCLK_Var_Res]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_145]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_SDO[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_valid[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Settle[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[13]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_147]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel0_Reset[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Read_intan[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/LED_HiCCE_AB[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Settle[2]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_146]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_142]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/ADC_SDO_VIRTUAL_A]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Settle[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/CS_Set_L_Res[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_empty[2]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_148]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Ack_intan[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_valid[2]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0_n_83]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Read_intan[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Ack_intan[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_A[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_C[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_B[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_A[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/ADC_CNV[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_B[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Data_intan_D[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Sel0_Reset[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Read_intan[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_D[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/Config_Res_intan_C[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[13]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_READ_ENB]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_READ_ACK]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[14]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/wr_en]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_empty]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[13]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/CONFIG_RES_IN[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/CONFIG_RES_IN[1]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/LED_TEST_1]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[13]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/wr_en]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_READ_ACK]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[0]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[11]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_READ_ENB]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[13]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[15]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_empty]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/CONFIG_RES_IN[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/CONFIG_RES_IN[1]}]
set_property MARK_DEBUG true [get_nets design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/LED_TEST_1]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[2]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[7]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[13]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[16]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[20]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[25]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[28]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[0]}]
set_property MARK_DEBUG true [get_nets design_1_i/tlast_gen_0_m_axis_TLAST]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[5]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[8]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[11]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[17]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[21]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[23]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[29]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[1]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[3]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[6]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[10]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[14]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[18]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[22]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[26]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[30]}]
set_property MARK_DEBUG true [get_nets design_1_i/tlast_gen_0_m_axis_TVALID]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[4]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[9]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[12]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[15]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[19]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[24]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[27]}]
set_property MARK_DEBUG true [get_nets {design_1_i/tlast_gen_0_m_axis_TDATA[31]}]
set_property MARK_DEBUG true [get_nets design_1_i/tlast_gen_0_m_axis_TREADY]

create_debug_core u_ila_0 ila
set_property ALL_PROBE_SAME_MU true [get_debug_cores u_ila_0]
set_property ALL_PROBE_SAME_MU_CNT 4 [get_debug_cores u_ila_0]
set_property C_ADV_TRIGGER true [get_debug_cores u_ila_0]
set_property C_DATA_DEPTH 8192 [get_debug_cores u_ila_0]
set_property C_EN_STRG_QUAL true [get_debug_cores u_ila_0]
set_property C_INPUT_PIPE_STAGES 0 [get_debug_cores u_ila_0]
set_property C_TRIGIN_EN false [get_debug_cores u_ila_0]
set_property C_TRIGOUT_EN false [get_debug_cores u_ila_0]
set_property port_width 1 [get_debug_ports u_ila_0/clk]
connect_debug_port u_ila_0/clk [get_nets [list design_1_i/processing_system7_0/inst/FCLK_CLK0]]
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe0]
set_property port_width 32 [get_debug_ports u_ila_0/probe0]
connect_debug_port u_ila_0/probe0 [get_nets [list {design_1_i/tlast_gen_0_m_axis_TDATA[0]} {design_1_i/tlast_gen_0_m_axis_TDATA[1]} {design_1_i/tlast_gen_0_m_axis_TDATA[2]} {design_1_i/tlast_gen_0_m_axis_TDATA[3]} {design_1_i/tlast_gen_0_m_axis_TDATA[4]} {design_1_i/tlast_gen_0_m_axis_TDATA[5]} {design_1_i/tlast_gen_0_m_axis_TDATA[6]} {design_1_i/tlast_gen_0_m_axis_TDATA[7]} {design_1_i/tlast_gen_0_m_axis_TDATA[8]} {design_1_i/tlast_gen_0_m_axis_TDATA[9]} {design_1_i/tlast_gen_0_m_axis_TDATA[10]} {design_1_i/tlast_gen_0_m_axis_TDATA[11]} {design_1_i/tlast_gen_0_m_axis_TDATA[12]} {design_1_i/tlast_gen_0_m_axis_TDATA[13]} {design_1_i/tlast_gen_0_m_axis_TDATA[14]} {design_1_i/tlast_gen_0_m_axis_TDATA[15]} {design_1_i/tlast_gen_0_m_axis_TDATA[16]} {design_1_i/tlast_gen_0_m_axis_TDATA[17]} {design_1_i/tlast_gen_0_m_axis_TDATA[18]} {design_1_i/tlast_gen_0_m_axis_TDATA[19]} {design_1_i/tlast_gen_0_m_axis_TDATA[20]} {design_1_i/tlast_gen_0_m_axis_TDATA[21]} {design_1_i/tlast_gen_0_m_axis_TDATA[22]} {design_1_i/tlast_gen_0_m_axis_TDATA[23]} {design_1_i/tlast_gen_0_m_axis_TDATA[24]} {design_1_i/tlast_gen_0_m_axis_TDATA[25]} {design_1_i/tlast_gen_0_m_axis_TDATA[26]} {design_1_i/tlast_gen_0_m_axis_TDATA[27]} {design_1_i/tlast_gen_0_m_axis_TDATA[28]} {design_1_i/tlast_gen_0_m_axis_TDATA[29]} {design_1_i/tlast_gen_0_m_axis_TDATA[30]} {design_1_i/tlast_gen_0_m_axis_TDATA[31]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe1]
set_property port_width 4 [get_debug_ports u_ila_0/probe1]
connect_debug_port u_ila_0/probe1 [get_nets [list {design_1_i/HiCCE_2018_0/ADC_CNV[0]} {design_1_i/HiCCE_2018_0/ADC_CNV[1]} {design_1_i/HiCCE_2018_0/ADC_CNV[2]} {design_1_i/HiCCE_2018_0/ADC_CNV[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe2]
set_property port_width 4 [get_debug_ports u_ila_0/probe2]
connect_debug_port u_ila_0/probe2 [get_nets [list {design_1_i/HiCCE_2018_0/ADC_SCLK[0]} {design_1_i/HiCCE_2018_0/ADC_SCLK[1]} {design_1_i/HiCCE_2018_0/ADC_SCLK[2]} {design_1_i/HiCCE_2018_0/ADC_SCLK[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe3]
set_property port_width 4 [get_debug_ports u_ila_0/probe3]
connect_debug_port u_ila_0/probe3 [get_nets [list {design_1_i/HiCCE_2018_0/ADC_SDO[0]} {design_1_i/HiCCE_2018_0/ADC_SDO[1]} {design_1_i/HiCCE_2018_0/ADC_SDO[2]} {design_1_i/HiCCE_2018_0/ADC_SDO[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe4]
set_property port_width 4 [get_debug_ports u_ila_0/probe4]
connect_debug_port u_ila_0/probe4 [get_nets [list {design_1_i/HiCCE_2018_0/Ack_intan[0]} {design_1_i/HiCCE_2018_0/Ack_intan[1]} {design_1_i/HiCCE_2018_0/Ack_intan[2]} {design_1_i/HiCCE_2018_0/Ack_intan[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe5]
set_property port_width 4 [get_debug_ports u_ila_0/probe5]
connect_debug_port u_ila_0/probe5 [get_nets [list {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[0]} {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[1]} {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[2]} {design_1_i/HiCCE_2018_0/CS_Set_H1_Res[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe6]
set_property port_width 9 [get_debug_ports u_ila_0/probe6]
connect_debug_port u_ila_0/probe6 [get_nets [list {design_1_i/HiCCE_2018_0/Config_Res_intan_A[0]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[1]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[2]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[5]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[6]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[7]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[8]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[9]} {design_1_i/HiCCE_2018_0/Config_Res_intan_A[10]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe7]
set_property port_width 4 [get_debug_ports u_ila_0/probe7]
connect_debug_port u_ila_0/probe7 [get_nets [list {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[0]} {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[1]} {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[2]} {design_1_i/HiCCE_2018_0/CS_Set_H2_Res[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe8]
set_property port_width 4 [get_debug_ports u_ila_0/probe8]
connect_debug_port u_ila_0/probe8 [get_nets [list {design_1_i/HiCCE_2018_0/CS_Set_L_Res[0]} {design_1_i/HiCCE_2018_0/CS_Set_L_Res[1]} {design_1_i/HiCCE_2018_0/CS_Set_L_Res[2]} {design_1_i/HiCCE_2018_0/CS_Set_L_Res[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe9]
set_property port_width 9 [get_debug_ports u_ila_0/probe9]
connect_debug_port u_ila_0/probe9 [get_nets [list {design_1_i/HiCCE_2018_0/Config_Res_intan_B[0]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[1]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[2]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[5]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[6]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[7]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[8]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[9]} {design_1_i/HiCCE_2018_0/Config_Res_intan_B[10]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe10]
set_property port_width 9 [get_debug_ports u_ila_0/probe10]
connect_debug_port u_ila_0/probe10 [get_nets [list {design_1_i/HiCCE_2018_0/Config_Res_intan_C[0]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[1]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[2]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[5]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[6]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[7]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[8]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[9]} {design_1_i/HiCCE_2018_0/Config_Res_intan_C[10]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe11]
set_property port_width 11 [get_debug_ports u_ila_0/probe11]
connect_debug_port u_ila_0/probe11 [get_nets [list {design_1_i/HiCCE_2018_0/Config_Res_intan_D[0]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[1]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[2]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[5]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[6]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[7]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[8]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[9]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[10]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[11]} {design_1_i/HiCCE_2018_0/Config_Res_intan_D[12]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe12]
set_property port_width 16 [get_debug_ports u_ila_0/probe12]
connect_debug_port u_ila_0/probe12 [get_nets [list {design_1_i/HiCCE_2018_0/Data_intan_A[0]} {design_1_i/HiCCE_2018_0/Data_intan_A[1]} {design_1_i/HiCCE_2018_0/Data_intan_A[2]} {design_1_i/HiCCE_2018_0/Data_intan_A[3]} {design_1_i/HiCCE_2018_0/Data_intan_A[4]} {design_1_i/HiCCE_2018_0/Data_intan_A[5]} {design_1_i/HiCCE_2018_0/Data_intan_A[6]} {design_1_i/HiCCE_2018_0/Data_intan_A[7]} {design_1_i/HiCCE_2018_0/Data_intan_A[8]} {design_1_i/HiCCE_2018_0/Data_intan_A[9]} {design_1_i/HiCCE_2018_0/Data_intan_A[10]} {design_1_i/HiCCE_2018_0/Data_intan_A[11]} {design_1_i/HiCCE_2018_0/Data_intan_A[12]} {design_1_i/HiCCE_2018_0/Data_intan_A[13]} {design_1_i/HiCCE_2018_0/Data_intan_A[14]} {design_1_i/HiCCE_2018_0/Data_intan_A[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe13]
set_property port_width 16 [get_debug_ports u_ila_0/probe13]
connect_debug_port u_ila_0/probe13 [get_nets [list {design_1_i/HiCCE_2018_0/Data_intan_B[0]} {design_1_i/HiCCE_2018_0/Data_intan_B[1]} {design_1_i/HiCCE_2018_0/Data_intan_B[2]} {design_1_i/HiCCE_2018_0/Data_intan_B[3]} {design_1_i/HiCCE_2018_0/Data_intan_B[4]} {design_1_i/HiCCE_2018_0/Data_intan_B[5]} {design_1_i/HiCCE_2018_0/Data_intan_B[6]} {design_1_i/HiCCE_2018_0/Data_intan_B[7]} {design_1_i/HiCCE_2018_0/Data_intan_B[8]} {design_1_i/HiCCE_2018_0/Data_intan_B[9]} {design_1_i/HiCCE_2018_0/Data_intan_B[10]} {design_1_i/HiCCE_2018_0/Data_intan_B[11]} {design_1_i/HiCCE_2018_0/Data_intan_B[12]} {design_1_i/HiCCE_2018_0/Data_intan_B[13]} {design_1_i/HiCCE_2018_0/Data_intan_B[14]} {design_1_i/HiCCE_2018_0/Data_intan_B[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe14]
set_property port_width 16 [get_debug_ports u_ila_0/probe14]
connect_debug_port u_ila_0/probe14 [get_nets [list {design_1_i/HiCCE_2018_0/Data_intan_C[0]} {design_1_i/HiCCE_2018_0/Data_intan_C[1]} {design_1_i/HiCCE_2018_0/Data_intan_C[2]} {design_1_i/HiCCE_2018_0/Data_intan_C[3]} {design_1_i/HiCCE_2018_0/Data_intan_C[4]} {design_1_i/HiCCE_2018_0/Data_intan_C[5]} {design_1_i/HiCCE_2018_0/Data_intan_C[6]} {design_1_i/HiCCE_2018_0/Data_intan_C[7]} {design_1_i/HiCCE_2018_0/Data_intan_C[8]} {design_1_i/HiCCE_2018_0/Data_intan_C[9]} {design_1_i/HiCCE_2018_0/Data_intan_C[10]} {design_1_i/HiCCE_2018_0/Data_intan_C[11]} {design_1_i/HiCCE_2018_0/Data_intan_C[12]} {design_1_i/HiCCE_2018_0/Data_intan_C[13]} {design_1_i/HiCCE_2018_0/Data_intan_C[14]} {design_1_i/HiCCE_2018_0/Data_intan_C[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe15]
set_property port_width 16 [get_debug_ports u_ila_0/probe15]
connect_debug_port u_ila_0/probe15 [get_nets [list {design_1_i/HiCCE_2018_0/Data_intan_D[0]} {design_1_i/HiCCE_2018_0/Data_intan_D[1]} {design_1_i/HiCCE_2018_0/Data_intan_D[2]} {design_1_i/HiCCE_2018_0/Data_intan_D[3]} {design_1_i/HiCCE_2018_0/Data_intan_D[4]} {design_1_i/HiCCE_2018_0/Data_intan_D[5]} {design_1_i/HiCCE_2018_0/Data_intan_D[6]} {design_1_i/HiCCE_2018_0/Data_intan_D[7]} {design_1_i/HiCCE_2018_0/Data_intan_D[8]} {design_1_i/HiCCE_2018_0/Data_intan_D[9]} {design_1_i/HiCCE_2018_0/Data_intan_D[10]} {design_1_i/HiCCE_2018_0/Data_intan_D[11]} {design_1_i/HiCCE_2018_0/Data_intan_D[12]} {design_1_i/HiCCE_2018_0/Data_intan_D[13]} {design_1_i/HiCCE_2018_0/Data_intan_D[14]} {design_1_i/HiCCE_2018_0/Data_intan_D[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe16]
set_property port_width 4 [get_debug_ports u_ila_0/probe16]
connect_debug_port u_ila_0/probe16 [get_nets [list {design_1_i/HiCCE_2018_0/Data_valid[0]} {design_1_i/HiCCE_2018_0/Data_valid[1]} {design_1_i/HiCCE_2018_0/Data_valid[2]} {design_1_i/HiCCE_2018_0/Data_valid[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe17]
set_property port_width 4 [get_debug_ports u_ila_0/probe17]
connect_debug_port u_ila_0/probe17 [get_nets [list {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[0]} {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[1]} {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[2]} {design_1_i/HiCCE_2018_0/FIFO_READ_ENB[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe18]
set_property port_width 4 [get_debug_ports u_ila_0/probe18]
connect_debug_port u_ila_0/probe18 [get_nets [list {design_1_i/HiCCE_2018_0/FIFO_empty[0]} {design_1_i/HiCCE_2018_0/FIFO_empty[1]} {design_1_i/HiCCE_2018_0/FIFO_empty[2]} {design_1_i/HiCCE_2018_0/FIFO_empty[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe19]
set_property port_width 2 [get_debug_ports u_ila_0/probe19]
connect_debug_port u_ila_0/probe19 [get_nets [list {design_1_i/HiCCE_2018_0/LED_HiCCE_AB[0]} {design_1_i/HiCCE_2018_0/LED_HiCCE_AB[1]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe20]
set_property port_width 4 [get_debug_ports u_ila_0/probe20]
connect_debug_port u_ila_0/probe20 [get_nets [list {design_1_i/HiCCE_2018_0/Read_intan[0]} {design_1_i/HiCCE_2018_0/Read_intan[1]} {design_1_i/HiCCE_2018_0/Read_intan[2]} {design_1_i/HiCCE_2018_0/Read_intan[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe21]
set_property port_width 4 [get_debug_ports u_ila_0/probe21]
connect_debug_port u_ila_0/probe21 [get_nets [list {design_1_i/HiCCE_2018_0/Sel0_Reset[0]} {design_1_i/HiCCE_2018_0/Sel0_Reset[1]} {design_1_i/HiCCE_2018_0/Sel0_Reset[2]} {design_1_i/HiCCE_2018_0/Sel0_Reset[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe22]
set_property port_width 4 [get_debug_ports u_ila_0/probe22]
connect_debug_port u_ila_0/probe22 [get_nets [list {design_1_i/HiCCE_2018_0/Sel1_Step[0]} {design_1_i/HiCCE_2018_0/Sel1_Step[1]} {design_1_i/HiCCE_2018_0/Sel1_Step[2]} {design_1_i/HiCCE_2018_0/Sel1_Step[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe23]
set_property port_width 4 [get_debug_ports u_ila_0/probe23]
connect_debug_port u_ila_0/probe23 [get_nets [list {design_1_i/HiCCE_2018_0/Settle[0]} {design_1_i/HiCCE_2018_0/Settle[1]} {design_1_i/HiCCE_2018_0/Settle[2]} {design_1_i/HiCCE_2018_0/Settle[3]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe24]
set_property port_width 16 [get_debug_ports u_ila_0/probe24]
connect_debug_port u_ila_0/probe24 [get_nets [list {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[0]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[1]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[2]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[3]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[4]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[5]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[6]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[7]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[8]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[9]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[10]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[11]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[12]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[13]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[14]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/din[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe25]
set_property port_width 16 [get_debug_ports u_ila_0/probe25]
connect_debug_port u_ila_0/probe25 [get_nets [list {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[0]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[1]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[2]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[3]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[4]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[5]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[6]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[7]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[8]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[9]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[10]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[11]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[12]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[13]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[14]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_DATA_OUT[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe26]
set_property port_width 2 [get_debug_ports u_ila_0/probe26]
connect_debug_port u_ila_0/probe26 [get_nets [list {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/CONFIG_RES_IN[1]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/CONFIG_RES_IN[7]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe27]
set_property port_width 16 [get_debug_ports u_ila_0/probe27]
connect_debug_port u_ila_0/probe27 [get_nets [list {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[0]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[1]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[2]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[3]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[4]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[5]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[6]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[7]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[8]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[9]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[10]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[11]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[12]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[13]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[14]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/din[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe28]
set_property port_width 2 [get_debug_ports u_ila_0/probe28]
connect_debug_port u_ila_0/probe28 [get_nets [list {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/CONFIG_RES_IN[1]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/CONFIG_RES_IN[7]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe29]
set_property port_width 16 [get_debug_ports u_ila_0/probe29]
connect_debug_port u_ila_0/probe29 [get_nets [list {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[0]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[1]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[2]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[3]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[4]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[5]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[6]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[7]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[8]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[9]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[10]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[11]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[12]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[13]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[14]} {design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_DATA_OUT[15]}]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe30]
set_property port_width 1 [get_debug_ports u_ila_0/probe30]
connect_debug_port u_ila_0/probe30 [get_nets [list design_1_i/HiCCE_2018_0/ADC_SDO_VIRTUAL_A]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe31]
set_property port_width 1 [get_debug_ports u_ila_0/probe31]
connect_debug_port u_ila_0/probe31 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_empty]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe32]
set_property port_width 1 [get_debug_ports u_ila_0/probe32]
connect_debug_port u_ila_0/probe32 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_empty]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe33]
set_property port_width 1 [get_debug_ports u_ila_0/probe33]
connect_debug_port u_ila_0/probe33 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_READ_ACK]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe34]
set_property port_width 1 [get_debug_ports u_ila_0/probe34]
connect_debug_port u_ila_0/probe34 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_READ_ACK]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe35]
set_property port_width 1 [get_debug_ports u_ila_0/probe35]
connect_debug_port u_ila_0/probe35 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/FIFO_READ_ENB]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe36]
set_property port_width 1 [get_debug_ports u_ila_0/probe36]
connect_debug_port u_ila_0/probe36 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/FIFO_READ_ENB]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe37]
set_property port_width 1 [get_debug_ports u_ila_0/probe37]
connect_debug_port u_ila_0/probe37 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/LED_TEST_1]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe38]
set_property port_width 1 [get_debug_ports u_ila_0/probe38]
connect_debug_port u_ila_0/probe38 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/LED_TEST_1]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe39]
set_property port_width 1 [get_debug_ports u_ila_0/probe39]
connect_debug_port u_ila_0/probe39 [get_nets [list design_1_i/HiCCE_2018_0/SCLK_Var_Res]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe40]
set_property port_width 1 [get_debug_ports u_ila_0/probe40]
connect_debug_port u_ila_0/probe40 [get_nets [list design_1_i/HiCCE_2018_0/Sys_Reset]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe41]
set_property port_width 1 [get_debug_ports u_ila_0/probe41]
connect_debug_port u_ila_0/probe41 [get_nets [list design_1_i/tlast_gen_0_m_axis_TLAST]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe42]
set_property port_width 1 [get_debug_ports u_ila_0/probe42]
connect_debug_port u_ila_0/probe42 [get_nets [list design_1_i/tlast_gen_0_m_axis_TREADY]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe43]
set_property port_width 1 [get_debug_ports u_ila_0/probe43]
connect_debug_port u_ila_0/probe43 [get_nets [list design_1_i/tlast_gen_0_m_axis_TVALID]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe44]
set_property port_width 1 [get_debug_ports u_ila_0/probe44]
connect_debug_port u_ila_0/probe44 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_83]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe45]
set_property port_width 1 [get_debug_ports u_ila_0/probe45]
connect_debug_port u_ila_0/probe45 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_141]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe46]
set_property port_width 1 [get_debug_ports u_ila_0/probe46]
connect_debug_port u_ila_0/probe46 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_142]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe47]
set_property port_width 1 [get_debug_ports u_ila_0/probe47]
connect_debug_port u_ila_0/probe47 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_143]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe48]
set_property port_width 1 [get_debug_ports u_ila_0/probe48]
connect_debug_port u_ila_0/probe48 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_144]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe49]
set_property port_width 1 [get_debug_ports u_ila_0/probe49]
connect_debug_port u_ila_0/probe49 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_145]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe50]
set_property port_width 1 [get_debug_ports u_ila_0/probe50]
connect_debug_port u_ila_0/probe50 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_146]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe51]
set_property port_width 1 [get_debug_ports u_ila_0/probe51]
connect_debug_port u_ila_0/probe51 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_147]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe52]
set_property port_width 1 [get_debug_ports u_ila_0/probe52]
connect_debug_port u_ila_0/probe52 [get_nets [list design_1_i/HiCCE_2018_0/U0_n_148]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe53]
set_property port_width 1 [get_debug_ports u_ila_0/probe53]
connect_debug_port u_ila_0/probe53 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_B/wr_en]]
create_debug_port u_ila_0 probe
set_property PROBE_TYPE DATA_AND_TRIGGER [get_debug_ports u_ila_0/probe54]
set_property port_width 1 [get_debug_ports u_ila_0/probe54]
connect_debug_port u_ila_0/probe54 [get_nets [list design_1_i/HiCCE_2018_0/U0/INTAN_CHIP_A/wr_en]]
set_property C_CLK_INPUT_FREQ_HZ 300000000 [get_debug_cores dbg_hub]
set_property C_ENABLE_CLK_DIVIDER false [get_debug_cores dbg_hub]
set_property C_USER_SCAN_CHAIN 1 [get_debug_cores dbg_hub]
connect_debug_port dbg_hub/clk [get_nets u_ila_0_FCLK_CLK0]
